import createAxios from '@/utils/request'

//查询普测计划-新建页面
export function queryPlan(data: any) {
    return createAxios({
        url: '/process-boot/rGeneralSurveyPlan/queryPlan',
        method: 'post',
        data
    })
}
//导出普测计划信息
export function exportSurveyPlan(data: any) {
    return createAxios({
        url: '/process-boot/rGeneralSurveyPlan/exportSurveyPlan',
        method: 'post',
        data,
        responseType: 'blob'
    })
}
//删除普测计划
export function removeSurvey(data: any) {
    return createAxios({
        url: '/supervision-boot/generalSurvey/removeSurvey',
        method: 'post',
        data
    })
}
//新增
export function getGeneratrixByCondition(data: any) {
    return createAxios({
        url: '/device-boot/pms/generatrixWire/getGeneratrixByCondition',
        method: 'post',
        data
    })
}
// 获取变电站名称
export function getstatationStatList(data: any) {
    return createAxios({
        url: '/device-boot/pms/statationStat/getstatationStatList',
        method: 'post',
        data
    })
}
// 新增-修改普测计划
export function addPlan(data: any) {
    return createAxios({
        url: '/process-boot/rGeneralSurveyPlan/addPlan',
        method: 'post',
        data
    })
}

//查询普测计划-审核页面
export function queryPlanAudit(data: any) {
    return createAxios({
        url: '/process-boot/rGeneralSurveyPlan/queryPlanAudit',
        method: 'post',
        data
    })
}
//查询普测计划-结果页面
export function queryPlanResult(data: any) {
    return createAxios({
        url: '/process-boot/rGeneralSurveyPlan/queryPlanResult',
        method: 'post',
        data
    })
}
//下载普测结果报告
export function surveyResultDownload(data: any) {
    return createAxios({
        url: '/process-boot/rGeneralSurveyPlan/surveyResultDownload',
        method: 'post',
        params: data
        //   responseType: 'blob',
    })
}
//下载
export function downLoadData(data: any) {
    return createAxios({
        url: data
    })
}
export function MultipartFile(data: any) {
    return createAxios({
        url: '/process-boot/rGeneralSurveyPlan/surveyResultUpload',
        method: 'post',
        headers: { 'Content-Type': 'multipart/form-data' }, //多文件上传这一句必须加
        data
    })
}
export function initDetpStataionTree(data: any) {
    return createAxios({
        url: '/supervision-boot/generalSurvey/initDetpStataionTree',
        method: 'post',
        params: data
    })
}
// 普测计划-审核
export function checkPlanAudit(data: any) {
    return createAxios({
        url: '/process-boot/rGeneralSurveyPlan/checkPlanAudit',
        method: 'post',
        data
    })
}
// 占比查询
export function queryPlanConfig() {
    return createAxios({
        url: '/process-boot/rGeneralSurveyPlan/queryPlanConfig',
        method: 'post'
    })
}
// 增加普测计划参数
export function addPlanConfig(data: any) {
    return createAxios({
        url: '/process-boot/rGeneralSurveyPlan/addPlanConfig',
        method: 'post',
        data
    })
}
// 电站勾选接口
export function querySubStatation(data: any) {
    return createAxios({
        url: '/process-boot/rGeneralSurveyPlan/querySubStatation',
        method: 'post',
        params: data
    })
}
// 设置普测周期
export function addPlanCycle(data: any) {
    return createAxios({
        url: '/process-boot/rGeneralSurveyPlan/addPlanCycle',
        method: 'post',
        params: data
    })
}

// 新增普测计划
export function addSurvey(data: any) {
    return createAxios({
        url: '/supervision-boot/generalSurvey/addSurvey',
        method: 'post',
        data
    })
}
// 查询普测计划详情
export function querySurveyDetail(data: any) {
    return createAxios({
        url: '/supervision-boot/generalSurvey/querySurveyDetail',
        method: 'POST',
        params: data
    })
}

// 修改普测计划
export function auditSurvey(data: any) {
    return createAxios({
        url: '/supervision-boot/surveyPlan/update',
        method: 'POST',
        data
    })
}
// 取消普测计划
export function cancel(data: any) {
    return createAxios({
        url: '/supervision-boot/surveyPlan/cancel',
        method: 'POST',
        data
    })
}

export function cancelTest(data: any) {
    return createAxios({
        url: '/supervision-boot/surveyTest/cancel',
        method: 'POST',
        data
    })
}

//新版普测计划管理新增
export function addSurveyPlan(data: any) {
    return createAxios({
        url: '/supervision-boot/surveyPlan/add',
        method: 'POST',
        data
    })
}

export function updateSurveyPlan(data: any) {
    return createAxios({
        url: '/supervision-boot/surveyPlan/update',
        method: 'POST',
        data
    })
}

//新版普测计划管理新增
export function getById(id: any) {
    return createAxios({
        url: '/supervision-boot/surveyPlan/getById',
        method: 'get',
        params: { id: id }
    })
}
//新版普测计划管理新增
export function userReportRenewalCancel(data: any) {
    return createAxios({
        url: '/supervision-boot/userReportRenewal/cancel',
        method: 'POST',
        data
    })
}
